Subject: bug#62513: closed (Re: bug#62513: network-manager updated to unstable version?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Mar 2023 20:10:02 +0000

Your bug report

#62513: network-manager updated to unstable version?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62513: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62513
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62513: network-manager updated to unstable version?
From: Maxim Cournoyer <[email-masked]>
To: Csepp <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 30 Mar 2023 16:09:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Csepp <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi John,
>>
>> John Kehayias <[email-masked]> writes:
>>
>>> Hi Guix,
>>>
>>> (cc'ing Maxim as author of last few network-manager version updates.)
>>>
>>> I noticed a recent up date to network-manager to 1.43.4 (previously
>>> 1.41.2 and 1.40.0) but can't find a record of that release. In their
>>> docs there is no mention of anything newer than the 1.42 release [0,
>>> 1] and they mention the even-numbered releases being the stable series
>>> [2]. Indeed, Arch only has 1.42.4 in their repos [3]. I only see "dev"
>>> tags for these 1.43 versions in their gitlab.
>>>
>>> Should we be on a 1.42.y version instead?
>>
>> The GNOME versioning scheme is a bit of a mess; they stopped using
>> stable/unstable oven/odd release cycles since GNOME 40 I think, but left
>> each of the components the luxury to keep using it, which NetworkManager
>> appears to be doing.
>>
>> 'guix refresh -u' picked 1.43 and I didn't give it much of an thought.
>> In general, I think it's OK to carry the "unstable" releases of GNOME
>> components, which in my experience are usually stable :-).
>>
>>> I noticed this because the update to 1.43.4 has an issue with my
>>> (wired) connection not resuming from sleep when previously it did. I
>>> have to restart the service. I had some logs I can dig up, but in
>>> discussing on IRC (no logs that day it seems) there was nothing out of
>>> the ordinary and the shepherd service seemed normal.
>>>
>>> I've since reconfigured to a commit before the most recent version
>>> change, namely 5174820753be045ba4fc7cc93da33f4e0b730bc3 and cannot
>>> reproduce the issue so seems due to newer versions of network-manager
>>> after 1.41.2 at least.
>>>
>>> Note that this may have been reported upstream [4], but I haven't
>>> tested with the current stable release. So this may be a separate
>>> (upstream) issue.
>>
>> So it seems that even if we used the "stable" 1.42.x release, we'd still
>> have this problem.  It's been reported 4 days ago; I guess let's wait to
>> see if a hotfix will be made, as that seems a serious issue.
>>
>> Otherwise, if many Guix users are affected and no hotfix is on the
>> horizon, we could consider reverting back to our older version.
>>
>> Does that sound reasonable?
>
> This also affects two of my recently reconfigured/upgraded machines.  My
> guess is there are probably many others affected.

I take this as a "no" :-).

Reverted with be5e280e5fe26f93bd5a6e3f76e4502edb913a94.

Closing.

-- 
Thanks,
Maxim

Subject: network-manager updated to unstable version?
From: John Kehayias <[email-masked]>
To: Guix Bugs <[email-masked]>
Cc: Maxim Cournoyer <[email-masked]>
Date: Wed, 29 Mar 2023 05:47:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

(cc'ing Maxim as author of last few network-manager version updates.)

I noticed a recent up date to network-manager to 1.43.4 (previously 1.41.2 and 1.40.0) but can't find a record of that release. In their docs there is no mention of anything newer than the 1.42 release [0, 1] and they mention the even-numbered releases being the stable series [2]. Indeed, Arch only has 1.42.4 in their repos [3]. I only see "dev" tags for these 1.43 versions in their gitlab.

Should we be on a 1.42.y version instead?

I noticed this because the update to 1.43.4 has an issue with my (wired) connection not resuming from sleep when previously it did. I have to restart the service. I had some logs I can dig up, but in discussing on IRC (no logs that day it seems) there was nothing out of the ordinary and the shepherd service seemed normal.

I've since reconfigured to a commit before the most recent version change, namely 5174820753be045ba4fc7cc93da33f4e0b730bc3 and cannot reproduce the issue so seems due to newer versions of network-manager after 1.41.2 at least.

Note that this may have been reported upstream [4], but I haven't tested with the current stable release. So this may be a separate (upstream) issue.

Anyway, the first question is what version we should have of network-manager?

Thanks!
John

[0 ]<https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/blob/main/NEWS>

[1] <https://networkmanager.dev/blog/>

[2] <https://wiki.gnome.org/Projects/NetworkManager/>

[3] <https://archlinux.org/packages/extra/x86_64/networkmanager/>

[4] <https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1258>